> For the complete documentation index, see [llms.txt](https://docs.wisej.com/system.drawing.managed/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/system.drawing.managed/api/system.drawing.drawing2d/system.drawing.drawing2d.penalignment.md).

# PenAlignment

Namespace: **System.Drawing.Drawing2D**

Assembly: **System.Drawing.Managed** (4.0.0.0)

Pen alignment constants. Specifies the alignment of a [Pen](/system.drawing.managed/api/system.drawing/system.drawing.pen.md) in relation to the line being drawn.

{% tabs %}
{% tab title="C#" %}

```csharp
public enum PenAlignment : Enum
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Enum PenAlignment As [Enum]
```

{% endtab %}
{% endtabs %}

## Fields

| Name       | Description                                                                                                                                      |
| ---------- | ------------------------------------------------------------------------------------------------------------------------------------------------ |
| **Center** | Specifies that the [Pen](/system.drawing.managed/api/system.drawing/system.drawing.pen.md) is positioned at the center of the line being drawn.  |
| **Inset**  | Specifies that the [Pen](/system.drawing.managed/api/system.drawing/system.drawing.pen.md) is positioned on the inside of the line being drawn.  |
| **Left**   | Specifies that the [Pen](/system.drawing.managed/api/system.drawing/system.drawing.pen.md) is positioned to the left of the line being drawn.    |
| **Outset** | Specifies that the [Pen](/system.drawing.managed/api/system.drawing/system.drawing.pen.md) is positioned on the outside of the line being drawn. |
| **Right**  | Specifies that the [Pen](/system.drawing.managed/api/system.drawing/system.drawing.pen.md) is positioned to the right of the line being drawn.   |

## Used By

| Name                                                                                                           | Description                                                                                                                                                                                                                                  |
| -------------------------------------------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [Pen.Alignment](/system.drawing.managed/api/system.drawing.drawing2d/system.drawing.drawing2d.penalignment.md) | Gets or sets a [PenAlignment](/system.drawing.managed/api/system.drawing.drawing2d/system.drawing.drawing2d.penalignment.md) that represents the alignment for this [Pen](/system.drawing.managed/api/system.drawing/system.drawing.pen.md). |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wisej.com/system.drawing.managed/api/system.drawing.drawing2d/system.drawing.drawing2d.penalignment.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
